## zwave-js-server-python 0.58.1

=== requirements.txt ===
aiohttp==3.10.5
pydantic==2.9.2

=== debian/changelog ===
zwave-js-server-python (0.58.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 04 Oct 2024 16:07:52 +0100

zwave-js-server-python (0.58.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 11 Sep 2024 08:26:33 +0100

zwave-js-server-python (0.57.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1080022)

 -- Edward Betts <edward@4angle.com>  Thu, 29 Aug 2024 17:34:36 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zwave-js-server-python
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf zwave_js_server_python.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-aiohttp,
 python3-pytest-asyncio,
 python3-pytest-timeout,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/zwave-js-server-python-$1\.tar\.gz/ \
  https://github.com/home-assistant-libs/zwave-js-server-python/tags .*/v?(\d\S+)\.tar\.gz

## zwave-js-server-python 0.60.0

=== requirements.txt ===
aiohttp==3.11.7
pydantic==2.10.1

=== debian/changelog ===
zwave-js-server-python (0.60.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Thu, 23 Jan 2025 15:08:55 +0000

zwave-js-server-python (0.59.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 11 Nov 2024 09:21:53 +0000

=== debian/control ===
Source: zwave-js-server-python
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pydantic <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-aiohttp <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-timeout <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/home-assistant-libs/zwave-js-server-python
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/zwave-js-server-python
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/zwave-js-server-python.git

Package: python3-zwave-js-server-python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for communicating with zwave-js-server
 This library enables interaction with a Z-Wave network using the Z-Wave JS
 server. It provides comprehensive functionality for interacting with Z-Wave
 devices, including monitoring and controlling various device types such as
 binary sensors, climate controls, lights, locks, and more. The library ensures
 a structured way to handle Z-Wave events and manage the device nodes,
 controllers, and networks. It also supports setting up new devices,
 maintaining the network, and collecting statistical data for troubleshooting
 and optimization purposes.

## zwave-js-server-python 0.60.1

=== requirements.txt ===
aiohttp==3.11.12
pydantic==2.10.6

=== debian/changelog ===
zwave-js-server-python (0.60.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Mon, 24 Feb 2025 06:50:52 -0500

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-pytest-cov <!nocheck>,
  python3-pytest-timeout <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/home-assistant-libs/zwave-js-server-python
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/zwave-js-server-python
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/zwave-js-server-python.git

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
-Tests: run-tests
+Tests:
+ run-tests,
 Depends:
  python3-all,
  python3-pytest,

=== debian/watch ===
version=4
https://github.com/home-assistant-libs/zwave-js-server-python/tags .*/v?(\d\S+)\.tar\.gz

## zwave-js-server-python 0.61.0

=== debian/changelog ===
zwave-js-server-python (0.61.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 09 Mar 2025 06:17:38 +0000

## zwave-js-server-python 0.62.0

=== requirements.txt ===
aiohttp==3.11.13
pydantic==2.10.6

=== debian/changelog ===
zwave-js-server-python (0.62.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Fri, 21 Mar 2025 05:32:02 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-pytest-cov <!nocheck>,
  python3-pytest-timeout <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/home-assistant-libs/zwave-js-server-python
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/zwave-js-server-python
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/zwave-js-server-python.git

## zwave-js-server-python 0.63.0

=== requirements.txt ===
aiohttp==3.11.18
pydantic==2.11.3

=== debian/changelog ===
zwave-js-server-python (0.63.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.

 -- Edward Betts <edward@4angle.com>  Sun, 04 May 2025 21:22:46 +0300

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
 Homepage: https://github.com/home-assistant-libs/zwave-js-server-python
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/zwave-js-server-python
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/zwave-js-server-python.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-zwave-js-server-python
 Architecture: all

## zwave-js-server-python 0.64.0

=== requirements.txt ===
aiohttp==3.12.13
pydantic==2.11.7

=== debian/changelog ===
zwave-js-server-python (0.64.0-1) unstable; urgency=medium

  * New upstream release.
  * Needs setuptools version 77 because of pyproject.toml PEP 639 changes.

 -- Edward Betts <edward@4angle.com>  Sat, 21 Jun 2025 12:10:24 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-setuptools (>= 77),
 Build-Depends-Indep:
  python3-pydantic <!nocheck>,
  python3-pytest <!nocheck>,

## zwave-js-server-python 0.67.0

=== requirements.txt ===
aiohttp==3.12.14
pydantic==2.11.7

=== debian/changelog ===
zwave-js-server-python (0.67.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream is now using pydantic 2.

 -- Edward Betts <edward@4angle.com>  Thu, 31 Jul 2025 09:19:18 +0100

## zwave-js-server-python 0.67.1

=== debian/changelog ===
zwave-js-server-python (0.67.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 09 Aug 2025 07:21:28 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-setuptools (>= 77),
 Build-Depends-Indep:
- python3-pydantic <!nocheck>,
+ python3-pydantic (>= 2.0.0) <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-aiohttp <!nocheck>,
  python3-pytest-asyncio <!nocheck>,

## zwave-js-server-python 0.68.0

=== requirements.txt ===
aiohttp==3.13.3
pydantic==2.12.5

=== debian/changelog ===
zwave-js-server-python (0.68.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sat, 17 Jan 2026 10:33:41 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -17,8 +16,7 @@
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-timeout <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/home-assistant-libs/zwave-js-server-python
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/zwave-js-server-python
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/zwave-js-server-python.git

=== debian/watch ===
Version: 5

Template: GitHub
Owner: home-assistant-libs
Project: zwave-js-server-python
